All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
head.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/mat/err/check_column_index.hpp>`
`#include <stan/math/prim/mat/err/check_row_index.hpp>`
`#include <stan/math/prim/mat/err/check_std_vector_index.hpp>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T >
Eigen::Matrix< T, Eigen::Dynamic, 1 > | stan::math::head (const Eigen::Matrix< T, Eigen::Dynamic, 1 > &v, size_t n)
| Return the specified number of elements as a vector from the front of the specified vector. More...
template<typename T >
Eigen::Matrix< T, 1, Eigen::Dynamic > | stan::math::head (const Eigen::Matrix< T, 1, Eigen::Dynamic > &rv, size_t n)
| Return the specified number of elements as a row vector from the front of the specified row vector. More...
template<typename T >
std::vector< T > | stan::math::head (const std::vector< T > &sv, size_t n)
| Return the specified number of elements as a standard vector from the front of the specified standard vector. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.